import { jsx as _jsx } from "react/jsx-runtime";
import { b } from "./iconBackgroundBem.js";
export function UiIconBackground({ children, size, color, type = "fill", shape = "circle", }) {
    return size ? (_jsx("div", { className: b({ color: color ?? false, type, shape }), style: {
            width: size,
            height: size,
        }, children: children })) : (children);
}
